/***************************************************************************
 *
 *            Copyright (c) 2006 by CMX Systems, Inc.
 *
 * This software is copyrighted by and is the sole property of
 * CMX.  All rights, title, ownership, or other interests
 * in the software remain the property of CMX.  This
 * software may only be used in accordance with the corresponding
 * license agreement.  Any unauthorized use, duplication, transmission,
 * distribution, or disclosure of this software is expressly forbidden.
 *
 * This Copyright notice may not be removed or modified without prior
 * written consent of CMX.
 *
 * CMX reserves the right to modify this software without notice.
 *
 * CMX Systems, Inc.
 * 12276 San Jose Blvd. #511
 * Jacksonville, FL 32223
 * USA
 *
 * Tel:  (904) 880-1840
 * Fax:  (904) 880-1632
 * http: www.cmx.com
 * email: cmx@cmx.com
 *
 ***************************************************************************/
#ifndef _TARGET_H_
#define _TARGET_H_

#include "hcc_types.h"

extern void _irq_restore (hcc_imask ip);
extern hcc_imask _irq_disable (void);
extern void hw_init(void);

extern void I2Cinit();
extern void I2CsendByte(int data, int address, int id);
extern hcc_u8 I2CreceiveByte(hcc_u8 address, hcc_u8 id);
extern void I2Cinit(void);
extern void iic_delay(void);

#define SW1_ACTIVE()  ((MCF_EPORT_EPPDR0 & BIT5) == 0)
#define SW2_ACTIVE()  ((MCF_EPORT_EPPDR0 & BIT1) == 0)
#define LED1_TGL
#define LED2_TGL

#endif
/****************************** END OF FILE **********************************/
